/************************************************************\
 **  Copyright (c) 2011-2021 Anlogic, Inc.
 **  All Right Reserved.
\************************************************************/
/************************************************************\
 ** Log	:	This file is generated by Anlogic IP Generator.
 ** File	:	E:/LicheeTangFPGA/Projects/myterminal/LVDS_800x600/al_ip/clock.v
 ** Date	:	2021 04 01
 ** TD version	:	5.0.25341
\************************************************************/

///////////////////////////////////////////////////////////////////////////////
//	Input frequency:             40.000Mhz
//	Clock multiplication factor: 14
//	Clock division factor:       1
//	Clock information:
//		Clock name	| Frequency 	| Phase shift
//		C0        	| 560.000000MHZ	| 0  DEG     
//		C1        	| 140.000000MHZ	| 0  DEG	CLK_IN * 3.5 
//		C2        	| 70.000000 MHZ	| 0  DEG	CLK_IN * 1.75
///////////////////////////////////////////////////////////////////////////////
`timescale 1 ns / 100 fs

module txpll (
		CLK,
		RESET,
		LOCK,
		CLK_3p5x,
		CLK_1p75x);

	input CLK;
	input RESET;
	output LOCK;
	output CLK_3p5x;
	output CLK_1p75x;

	wire clk2_buf,clk1_buf,clk0_buf;

	EG_LOGIC_BUFG bufg_fbk( .i(clk0_buf), .o(clk0_out) );
	EG_LOGIC_BUFG bufg_clock1( .i(clk1_buf), .o(CLK_3p5x) );	
	EG_LOGIC_BUFG bufg_clock2( .i(clk2_buf), .o(CLK_1p75x) );

	EG_PHY_PLL #(.DPHASE_SOURCE("DISABLE"),
		.DYNCFG("DISABLE"),
		.FIN("40.000"),
		.FEEDBK_MODE("ZERODELAY"),
		.FEEDBK_PATH("CLKC0_EXT"),
		.STDBY_ENABLE("DISABLE"),
		.PLLRST_ENA("ENABLE"),
		.SYNC_ENABLE("DISABLE"),
		.DERIVE_PLL_CLOCKS("ENABLE"),
		.GEN_BASIC_CLOCK("ENABLE"),
		.GMC_GAIN(2),
		.ICP_CURRENT(9),
		.KVCO(2),
		.LPF_CAPACITOR(1),
		.LPF_RESISTOR(8),
		.REFCLK_DIV(1),
		.FBCLK_DIV(14),
		.CLKC0_ENABLE("ENABLE"),
		.CLKC0_DIV(1),
		.CLKC0_CPHASE(1),
		.CLKC0_FPHASE(0),
		.CLKC1_ENABLE("ENABLE"),
		.CLKC1_DIV(4),
		.CLKC1_CPHASE(3),
		.CLKC1_FPHASE(0),
		.CLKC2_ENABLE("ENABLE"),
		.CLKC2_DIV(8),
		.CLKC2_CPHASE(7),
		.CLKC2_FPHASE(0)	)
	pll_inst (.refclk(CLK),
		.reset(RESET),
		.stdby(1'b0),
		.extlock(LOCK),
		.load_reg(1'b0),
		.psclk(1'b0),
		.psdown(1'b0),
		.psstep(1'b0),
		.psclksel(3'b000),
		.psdone(open),
		.dclk(1'b0),
		.dcs(1'b0),
		.dwe(1'b0),
		.di(8'b00000000),
		.daddr(6'b000000),
		.do({open, open, open, open, open, open, open, open}),
		.fbclk(clk0_out),
		.clkc({open, open, clk2_buf, clk1_buf, clk0_buf}));

endmodule
